[Solved] Update Manager missing (now installed again, with error)

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

[Solved] Update Manager missing (now installed again, with error)

Post by exetico » Sat Apr 14, 2018 5:58 am

Hi all

Today i wanted to install a few updates with `Update Manager` but i couldn't find it. No matter how i searched, i couldn't find it. I started thinking if i had made some bad moves in the terminal, but nothing shows up in my mind.

After looking in multiple forum posts, i couldn't find the right answer. It's listed as Startup Application, but i couldn't find it as a panel-option. By running the command `mintupdate`. nothing started (program missing). So i installed it again with `apt install mintupdate`, and now i have it (mintUpdate 5.3.2.1) but with the error "Could not refresh the list of update" in the left corner.

The machine is running Linux Mint 18.3,. I compared the version with the one on my laptop, and here is mintUpdatw 5.3.2.1 too, so i guess i grapped the right version.

If you need any other details, please let me know.

Debug-info
inxi -Sr

Code: Select all

exetico@linuxmint ~ $ inxi -Sr
+System:    Host: linuxmint Kernel: 4.10.0-38-generic x86_64 (64 bit) Desktop: Cinnamon 3.6.7
           Distro: Linux Mint 18.3 Sylvia
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://download.videolan.org/pub/debian/stable/ /
           deb-src http://download.videolan.org/pub/debian/stable/ /
           Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
           deb https://apt.dockerproject.org/repo ubuntu-xenial main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/graphics-drivers-ppa-xenial.list
           deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/jeffreyratcliffe-ppa-xenial.list
           deb http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/nodesource.list
           deb https://deb.nodesource.com/node_8.x xenial main
           deb-src https://deb.nodesource.com/node_8.x xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://mirrors.dotsrc.org/linuxmint-packages sylvia main upstream import backport
           deb http://mirror.one.com/ubuntu xenial main restricted universe multiverse
           deb http://mirror.one.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://mirror.one.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/remmina-ppa-team-remmina-next-xenial.list
           deb http://ppa.launchpad.net/remmina-ppa-team/remmina-next/ubuntu xenial main
           deb-src http://ppa.launchpad.net/remmina-ppa-team/remmina-next/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/rolfbensch-sane-git-xenial.list
           deb http://ppa.launchpad.net/rolfbensch/sane-git/ubuntu xenial main
           deb-src http://ppa.launchpad.net/rolfbensch/sane-git/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/skype-stable.list
           deb [arch=amd64] https://repo.skype.com/deb stable main
           Active apt sources in file: /etc/apt/sources.list.d/spotify.list
           deb http://repository.spotify.com stable non-free
           Active apt sources in file: /etc/apt/sources.list.d/steam.list
           deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           Active apt sources in file: /etc/apt/sources.list.d/vscode.list
           deb [arch=amd64] http://packages.microsoft.com/repos/vscode stable main
           Active apt sources in file: /etc/apt/sources.list.d/yarn.list
           deb https://dl.yarnpkg.com/debian/ stable main
sudo mintupdate

Code: Select all

exetico@linuxmint ~ $ Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintUpdate/mintUpdate.py", line 701, in run
    pixbuf = theme.load_icon("mintupdate-level" + str(update.level), 22, 0)
GLib.GError: gtk-icon-theme-error-quark: Icon 'mintupdate-level4' not present in theme Mint-X-Grey (0)
-- Exception occurred in the refresh thread: <class 'GLib.GError'>

(mintUpdate.py:10130): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
Last edited by exetico on Wed Apr 25, 2018 7:20 am, edited 1 time in total.

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Sat Apr 14, 2018 8:11 am

Welcome to the forums.

Don't use sudo to launch GUI apps - use gksudo if required. sudo+GUI app = broken home directory file ownership. In minutupdate's case it's not required in any case.

I'm going to hazard a guess that you have uninstalled something recently which has inadvertently taken some mint core components with it. The error suggests that you are missing the hicolor icon theme which contains the mintupdate-level4 icon. Mint-X-Grey normally inherits some icons from this icon theme and others.

Can you post the output of cat /var/log/dpkg.log | grep "status installed" && cat /var/log/dpkg.log | grep "remove "

exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

Re: Update Manager missing (now installed again, with error)

Post by exetico » Sun Apr 15, 2018 11:03 am

Hi,

Oh! I will try to remember the note about gksudo.

Output of the command is here, and - yep, i'm on Mint-X-Grey. Another note is that the "Update Manager" itself, also missing the icon. All other mint GUI apps has it's icons, like they normally have.

Code: Select all

exetico@linuxmint ~ $ cat /var/log/dpkg.log | grep "status installed" && cat /var/log/dpkg.log | grep "remove "
2018-04-14 11:10:06 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:06 status installed bsdutils:amd64 1:2.27.1-6ubuntu3.4
2018-04-14 11:10:06 status installed dpkg:amd64 1.18.4ubuntu1.4
2018-04-14 11:10:06 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:07 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:10:07 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:07 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:10:07 status installed util-linux:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:10:07 status installed systemd:amd64 229-4ubuntu21
2018-04-14 11:10:07 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:07 status installed mount:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:10:10 status installed libc6:amd64 2.23-0ubuntu10
2018-04-14 11:10:10 status installed libc6:i386 2.23-0ubuntu10
2018-04-14 11:10:10 status installed libc-bin:amd64 2.23-0ubuntu9
2018-04-14 11:10:10 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:11 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:11 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:12 status installed gcc-5-base:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:10:12 status installed gcc-5-base:i386 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:10:17 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:17 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:18 status installed libstdc++6:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:10:18 status installed libstdc++6:i386 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:10:18 status installed libapt-pkg5.0:amd64 1.2.26
2018-04-14 11:10:18 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:18 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:18 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:19 status installed apt:amd64 1.2.26
2018-04-14 11:10:19 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:19 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:19 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:20 status installed libudev1:amd64 229-4ubuntu21.2
2018-04-14 11:10:20 status installed libudev1:i386 229-4ubuntu21.2
2018-04-14 11:10:20 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:21 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:10:21 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:21 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:21 status installed libsystemd0:amd64 229-4ubuntu21.2
2018-04-14 11:10:21 status installed libsystemd0:i386 229-4ubuntu21.2
2018-04-14 11:10:22 status installed systemd:amd64 229-4ubuntu21.2
2018-04-14 11:10:22 status installed dbus:amd64 1.10.6-1ubuntu3.3
2018-04-14 11:10:22 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:22 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:22 status installed libuuid1:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:10:23 status installed libuuid1:i386 2.27.1-6ubuntu3.4
2018-04-14 11:10:23 status installed libblkid1:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:10:23 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:23 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:10:24 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:24 status installed doc-base:all 0.10.7
2018-04-14 11:10:24 status installed systemd-sysv:amd64 229-4ubuntu21.2
2018-04-14 11:10:24 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:24 status installed libapparmor1:amd64 2.10.95-0ubuntu2.9
2018-04-14 11:10:24 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:24 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:24 status installed libaudit-common:all 1:2.4.5-1ubuntu2.1
2018-04-14 11:10:25 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:25 status installed libaudit1:amd64 1:2.4.5-1ubuntu2.1
2018-04-14 11:10:25 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:25 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:25 status installed libmount1:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:10:25 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:26 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:26 status installed libseccomp2:amd64 2.3.1-2.1ubuntu2~16.04.1
2018-04-14 11:10:26 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:53 status installed systemd:amd64 229-4ubuntu21.2
2018-04-14 11:10:53 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:10:53 status installed man-db:amd64 2.7.5-1
2018-04-14 11:10:53 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:10:53 status installed ufw:all 0.35-0ubuntu2
2018-04-14 11:10:53 status installed doc-base:all 0.10.7
2018-04-14 11:10:53 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:10:53 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:10:53 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:10:53 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:10:53 status installed gnome-icon-theme:all 3.12.0-1ubuntu3
2018-04-14 11:10:53 status installed shared-mime-info:amd64 1.5-2ubuntu0.1
2018-04-14 11:10:53 status installed fontconfig:amd64 2.11.94-0ubuntu1.1
2018-04-14 11:10:53 status installed libpython2.7-minimal:amd64 2.7.12-1ubuntu0~16.04.3
2018-04-14 11:10:54 status installed python2.7-minimal:amd64 2.7.12-1ubuntu0~16.04.3
2018-04-14 11:10:54 status installed python-minimal:amd64 2.7.12-1~16.04
2018-04-14 11:11:06 status installed doc-base:all 0.10.7
2018-04-14 11:11:06 status installed man-db:amd64 2.7.5-1
2018-04-14 11:11:06 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:11:06 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:11:06 status installed ufw:all 0.35-0ubuntu2
2018-04-14 11:11:06 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:11:07 status installed shared-mime-info:amd64 1.5-2ubuntu0.1
2018-04-14 11:11:07 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:11:07 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:11:07 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:11:07 status installed libfdisk1:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:11:07 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:11:07 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:11:07 status installed libsmartcols1:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:11:07 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:11:07 status installed multiarch-support:amd64 2.23-0ubuntu10
2018-04-14 11:11:08 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:11:08 status installed man-db:amd64 2.7.5-1
2018-04-14 11:11:08 status installed sensible-utils:all 0.0.9ubuntu0.16.04.1
2018-04-14 11:12:22 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:12:22 status installed man-db:amd64 2.7.5-1
2018-04-14 11:12:22 status installed ureadahead:amd64 0.100.0-19
2018-04-14 11:12:22 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:12:22 status installed dbus:amd64 1.10.6-1ubuntu3.3
2018-04-14 11:12:23 status installed libglib2.0-0:i386 2.48.2-0ubuntu1
2018-04-14 11:12:23 status installed libglib2.0-0:amd64 2.48.2-0ubuntu1
2018-04-14 11:12:23 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:12:23 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:12:23 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:12:23 status installed shared-mime-info:amd64 1.5-2ubuntu0.1
2018-04-14 11:12:23 status installed libc6-dbg:amd64 2.23-0ubuntu10
2018-04-14 11:12:23 status installed libc-dev-bin:amd64 2.23-0ubuntu10
2018-04-14 11:12:23 status installed linux-libc-dev:amd64 4.4.0-119.143
2018-04-14 11:12:23 status installed libc6-dev:amd64 2.23-0ubuntu10
2018-04-14 11:12:23 status installed libc6-i386:amd64 2.23-0ubuntu10
2018-04-14 11:12:31 status installed locales:all 2.23-0ubuntu10
2018-04-14 11:12:31 status installed libquadmath0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libgomp1:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libitm1:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libatomic1:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libasan2:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed liblsan0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libtsan0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libubsan0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libcilkrts5:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libmpx0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed cpp-5:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed libcc1-0:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed binutils:amd64 2.26.1-1ubuntu1~16.04.6
2018-04-14 11:12:31 status installed libgcc-5-dev:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:31 status installed gcc-5:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:32 status installed libstdc++-5-dev:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:32 status installed g++-5:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:32 status installed libgfortran3:amd64 5.4.0-6ubuntu1~16.04.9
2018-04-14 11:12:32 status installed libapt-inst2.0:amd64 1.2.26
2018-04-14 11:12:32 status installed apt-utils:amd64 1.2.26
2018-04-14 11:12:32 status installed libpam-systemd:amd64 229-4ubuntu21.2
2018-04-14 11:12:32 status installed udev:amd64 229-4ubuntu21.2
2018-04-14 11:12:35 status installed friendly-recovery:all 0.2.31ubuntu1
2018-04-14 11:12:35 status installed initramfs-tools-bin:amd64 0.122ubuntu8.11
2018-04-14 11:12:35 status installed initramfs-tools-core:all 0.122ubuntu8.11
2018-04-14 11:12:35 status installed initramfs-tools:all 0.122ubuntu8.11
2018-04-14 11:12:35 status installed uuid-runtime:amd64 2.27.1-6ubuntu3.4
2018-04-14 11:12:35 status installed chromium-codecs-ffmpeg-extra:amd64 65.0.3325.181-0ubuntu0.16.04.1
2018-04-14 11:12:35 status installed libavahi-common-data:i386 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libavahi-common-data:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libavahi-common3:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libavahi-common3:i386 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libavahi-client3:i386 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libavahi-client3:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:12:35 status installed libcups2:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:35 status installed libcups2:i386 2.1.3-4ubuntu0.4
2018-04-14 11:12:35 status installed libcupsimage2:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:35 status installed libcupsimage2:i386 2.1.3-4ubuntu0.4
2018-04-14 11:12:35 status installed cups-common:all 2.1.3-4ubuntu0.4
2018-04-14 11:12:35 status installed cups-client:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed cups-bsd:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed libcupsmime1:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed cups-daemon:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed cups-core-drivers:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed cups-server-common:all 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed libcupscgi1:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed libcupsppdc1:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:36 status installed libtiff5:amd64 4.0.6-1ubuntu0.4
2018-04-14 11:12:37 status installed libtiff5:i386 4.0.6-1ubuntu0.4
2018-04-14 11:12:37 status installed libpoppler58:amd64 0.41.0-0ubuntu1.6
2018-04-14 11:12:37 status installed poppler-utils:amd64 0.41.0-0ubuntu1.6
2018-04-14 11:12:37 status installed cups-ppdc:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:38 status installed cups:amd64 2.1.3-4ubuntu0.4
2018-04-14 11:12:38 status installed libgdk-pixbuf2.0-common:all 2.32.2-1ubuntu1.4
2018-04-14 11:12:38 status installed libgdk-pixbuf2.0-0:amd64 2.32.2-1ubuntu1.4
2018-04-14 11:12:38 status installed libgdk-pixbuf2.0-0:i386 2.32.2-1ubuntu1.4
2018-04-14 11:12:38 status installed google-chrome-stable:amd64 65.0.3325.181-1
2018-04-14 11:12:38 status installed uno-libs3:amd64 5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:38 status installed ure:amd64 5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:38 status installed libreoffice-common:all 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:38 status installed libreoffice-java-common:all 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:38 status installed fonts-opensymbol:all 2:102.7+LibO5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:38 status installed libcurl3-gnutls:amd64 7.47.0-1ubuntu2.7
2018-04-14 11:12:38 status installed libdrm-common:all 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libdrm2:amd64 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libdrm2:i386 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libglapi-mesa:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:38 status installed libglapi-mesa:i386 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:38 status installed libdrm-amdgpu1:amd64 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libdrm-amdgpu1:i386 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libdrm-intel1:amd64 2.4.83-1~16.04.1
2018-04-14 11:12:38 status installed libdrm-intel1:i386 2.4.83-1~16.04.1
2018-04-14 11:12:39 status installed libdrm-nouveau2:amd64 2.4.83-1~16.04.1
2018-04-14 11:12:39 status installed libdrm-nouveau2:i386 2.4.83-1~16.04.1
2018-04-14 11:12:39 status installed libdrm-radeon1:amd64 2.4.83-1~16.04.1
2018-04-14 11:12:39 status installed libdrm-radeon1:i386 2.4.83-1~16.04.1
2018-04-14 11:12:39 status installed libllvm5.0:amd64 1:5.0-3~16.04.1
2018-04-14 11:12:39 status installed libllvm5.0:i386 1:5.0-3~16.04.1
2018-04-14 11:12:39 status installed libgl1-mesa-dri:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:39 status installed libgl1-mesa-dri:i386 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:39 status installed libgl1-mesa-glx:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:39 status installed libgl1-mesa-glx:i386 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:39 status installed libicu55:amd64 55.1-7ubuntu0.4
2018-04-14 11:12:39 status installed libicu55:i386 55.1-7ubuntu0.4
2018-04-14 11:12:39 status installed libreoffice-core:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-base-drivers:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-base-core:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-base:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-calc:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-gtk:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-gnome:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-writer:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-draw:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-impress:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-ogltrans:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:39 status installed libreoffice-pdfimport:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed python3-uno:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed libreoffice-sdbc-hsqldb:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed libreoffice-math:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed libreoffice-sdbc-firebird:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed libreoffice-avmedia-backend-gstreamer:amd64 1:5.1.6~rc2-0ubuntu1~xenial3
2018-04-14 11:12:40 status installed libgles2-mesa:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:40 status installed libwayland-client0:amd64 1.12.0-1~ubuntu16.04.3
2018-04-14 11:12:40 status installed libwayland-server0:amd64 1.12.0-1~ubuntu16.04.3
2018-04-14 11:12:40 status installed libgbm1:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:40 status installed libegl1-mesa:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:40 status installed libwayland-egl1-mesa:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:12:40 status installed curl:amd64 7.47.0-1ubuntu2.7
2018-04-14 11:12:40 status installed libssl1.0.0:amd64 1.0.2g-1ubuntu4.11
2018-04-14 11:12:40 status installed libssl1.0.0:i386 1.0.2g-1ubuntu4.11
2018-04-14 11:12:40 status installed libpython2.7-stdlib:amd64 2.7.12-1ubuntu0~16.04.3
2018-04-14 11:12:40 status installed libpython2.7:amd64 2.7.12-1ubuntu0~16.04.3
2018-04-14 11:12:41 status installed python2.7:amd64 2.7.12-1ubuntu0~16.04.3
2018-04-14 11:12:41 status installed libssl-dev:amd64 1.0.2g-1ubuntu4.11
2018-04-14 11:12:41 status installed libpython-stdlib:amd64 2.7.12-1~16.04
2018-04-14 11:12:41 status installed python:amd64 2.7.12-1~16.04
2018-04-14 11:12:41 status installed python-crypto:amd64 2.6.1-6ubuntu0.16.04.3
2018-04-14 11:12:41 status installed libwbclient0:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:41 status installed samba-libs:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:41 status installed python-samba:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:42 status installed samba-common:all 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:42 status installed samba-common-bin:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:42 status installed libsmbclient:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:42 status installed smbclient:amd64 2:4.3.11+dfsg-0ubuntu0.16.04.13
2018-04-14 11:12:42 status installed ntp:amd64 1:4.2.8p4+dfsg-3ubuntu5.8
2018-04-14 11:12:42 status installed ntpdate:amd64 1:4.2.8p4+dfsg-3ubuntu5.8
2018-04-14 11:12:42 status installed libapparmor-perl:amd64 2.10.95-0ubuntu2.9
2018-04-14 11:12:44 status installed apparmor:amd64 2.10.95-0ubuntu2.9
2018-04-14 11:12:44 status installed openssh-client:amd64 1:7.2p2-4ubuntu2.4
2018-04-14 11:12:44 status installed squashfs-tools:amd64 1:4.3-3ubuntu2.16.04.1
2018-04-14 11:12:45 status installed snapd:amd64 2.29.4.2
2018-04-14 11:12:45 status installed ubuntu-core-launcher:amd64 2.29.4.2
2018-04-14 11:12:45 status installed snap-confine:amd64 2.29.4.2
2018-04-14 11:12:45 status installed openssh-sftp-server:amd64 1:7.2p2-4ubuntu2.4
2018-04-14 11:12:46 status installed openssh-server:amd64 1:7.2p2-4ubuntu2.4
2018-04-14 11:12:46 status installed iproute2:amd64 4.3.0-1ubuntu3.16.04.3
2018-04-14 11:13:41 status installed virtualbox-dkms:all 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:13:41 status installed libgcrypt20:amd64 1.6.5-2ubuntu0.4
2018-04-14 11:13:41 status installed libgcrypt20:i386 1.6.5-2ubuntu0.4
2018-04-14 11:13:41 status installed libvncserver1:amd64 0.9.10+dfsg-3ubuntu0.16.04.2
2018-04-14 11:13:42 status installed virtualbox:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:13:42 status installed virtualbox-qt:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:13:57 status installed virtualbox-ext-pack:all 5.1.34-0ubuntu1.16.04.2
2018-04-14 11:13:57 status installed distro-info-data:all 0.28ubuntu0.7
2018-04-14 11:13:57 status installed libisc-export160:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:57 status installed libdns-export162:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:57 status installed isc-dhcp-client:amd64 4.3.3-5ubuntu12.10
2018-04-14 11:13:57 status installed isc-dhcp-common:amd64 4.3.3-5ubuntu12.10
2018-04-14 11:13:57 status installed libtasn1-6:amd64 4.7-3ubuntu0.16.04.3
2018-04-14 11:13:57 status installed libtasn1-6:i386 4.7-3ubuntu0.16.04.3
2018-04-14 11:13:57 status installed resolvconf:all 1.78ubuntu6
2018-04-14 11:13:57 status installed apt-transport-https:amd64 1.2.26
2018-04-14 11:13:57 status installed libisc160:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed libdns162:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed libisccc140:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed libisccfg140:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed libbind9-140:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed liblwres141:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed bind9-host:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed dnsutils:amd64 1:9.10.3.dfsg.P4-8ubuntu1.10
2018-04-14 11:13:58 status installed hdparm:amd64 9.48+ds-1ubuntu0.1
2018-04-14 11:13:58 status installed libnuma1:amd64 2.0.11-1ubuntu1.1
2018-04-14 11:13:58 status installed libparted2:amd64 3.2-15ubuntu0.1
2018-04-14 11:13:58 status installed parted:amd64 3.2-15ubuntu0.1
2018-04-14 11:13:58 status installed libpci3:amd64 1:3.3.1-1.1ubuntu1.2
2018-04-14 11:13:58 status installed pciutils:amd64 1:3.3.1-1.1ubuntu1.2
2018-04-14 11:13:58 status installed lshw:amd64 02.17-1.1ubuntu3.5
2018-04-14 11:13:58 status installed openssl:amd64 1.0.2g-1ubuntu4.11
2018-04-14 11:13:58 status installed python-apt-common:all 1.1.0~beta1ubuntu0.16.04.1
2018-04-14 11:13:58 status installed python3-apt:amd64 1.1.0~beta1ubuntu0.16.04.1
2018-04-14 11:13:58 status installed rsync:amd64 3.1.1-3ubuntu1.2
2018-04-14 11:13:58 status installed xdg-user-dirs:amd64 0.15-2ubuntu6.16.04.1
2018-04-14 11:13:58 status installed adobe-flashplugin:amd64 1:20180313.1-0ubuntu0.16.04.1
2018-04-14 11:13:58 status installed python-apt:amd64 1.1.0~beta1ubuntu0.16.04.1
2018-04-14 11:13:59 status installed apt-xapian-index:all 0.47ubuntu8.4
2018-04-14 11:13:59 status installed archdetect-deb:amd64 1.117ubuntu2.3
2018-04-14 11:13:59 status installed avahi-autoipd:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:13:59 status installed libpulse0:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libpulse0:i386 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libpulse-mainloop-glib0:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libpulse-mainloop-glib0:i386 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libpulsedsp:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libpulsedsp:i386 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed pulseaudio-utils:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed pulseaudio:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed pulseaudio-module-x11:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed pulseaudio-module-bluetooth:amd64 1:8.0-0ubuntu3.8
2018-04-14 11:13:59 status installed libavahi-core7:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:14:00 status installed avahi-daemon:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:14:00 status installed avahi-utils:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:14:00 status installed blueberry:all 1.1.20
2018-04-14 11:14:00 status installed cinnamon-l10n:all 3.6.4
2018-04-14 11:14:00 status installed cinnamon-common:all 3.6.7+sylvia
2018-04-14 11:14:00 status installed libnemo-extension1:amd64 3.6.5+sylvia
2018-04-14 11:14:00 status installed nemo-data:all 3.6.5+sylvia
2018-04-14 11:14:00 status installed nemo:amd64 3.6.5+sylvia
2018-04-14 11:14:00 status installed cinnamon:amd64 3.6.7+sylvia
2018-04-14 11:14:00 status installed code:amd64 1.22.2-1523551015
2018-04-14 11:14:00 status installed libdpkg-perl:all 1.18.4ubuntu1.4
2018-04-14 11:14:00 status installed patch:amd64 2.7.5-1ubuntu0.16.04.1
2018-04-14 11:14:00 status installed dpkg-dev:all 1.18.4ubuntu1.4
2018-04-14 11:14:00 status installed firefox-locale-en:amd64 59.0.2+linuxmint1+sylvia
2018-04-14 11:14:00 status installed libavutil-ffmpeg54:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:00 status installed libavresample-ffmpeg2:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:00 status installed libswresample-ffmpeg1:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:00 status installed libpostproc-ffmpeg53:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:00 status installed libswscale-ffmpeg3:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:00 status installed libvorbis0a:amd64 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libvorbis0a:i386 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libvorbisenc2:amd64 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libvorbisenc2:i386 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libwavpack1:amd64 4.75.2-2ubuntu0.1
2018-04-14 11:14:01 status installed libwavpack1:i386 4.75.2-2ubuntu0.1
2018-04-14 11:14:01 status installed libavcodec-ffmpeg-extra56:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libavformat-ffmpeg56:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libavfilter-ffmpeg5:amd64 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libvorbisfile3:amd64 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libvorbisfile3:i386 1.3.5-3ubuntu0.2
2018-04-14 11:14:01 status installed libdfu1:amd64 0.8.3-0ubuntu2
2018-04-14 11:14:01 status installed libfwup0:amd64 0.5-2ubuntu7
2018-04-14 11:14:01 status installed fwupdate:amd64 0.5-2ubuntu7
2018-04-14 11:14:01 status installed libfwupd1:amd64 0.8.3-0ubuntu2
2018-04-14 11:14:01 status installed fwupd:amd64 0.8.3-0ubuntu2
2018-04-14 11:14:01 status installed gir1.2-gdkpixbuf-2.0:amd64 2.32.2-1ubuntu1.4
2018-04-14 11:14:01 status installed libjavascriptcoregtk-4.0-18:amd64 2.18.6-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libwebkit2gtk-4.0-37:amd64 2.18.6-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed gir1.2-javascriptcoregtk-4.0:amd64 2.18.6-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed gir1.2-webkit2-4.0:amd64 2.18.6-0ubuntu0.16.04.1
2018-04-14 11:14:01 status installed gir1.2-nemo-3.0:amd64 3.6.5+sylvia
2018-04-14 11:14:01 status installed gir1.2-xreader:amd64 1.6.2+sylvia
2018-04-14 11:14:01 status installed gnome-accessibility-themes:all 3.18.0-2ubuntu2
2018-04-14 11:14:01 status installed gnome-disk-utility:amd64 3.18.3.1-1ubuntu1.1
2018-04-14 11:14:01 status installed gnome-themes-standard-data:all 3.18.0-2ubuntu2
2018-04-14 11:14:01 status installed gnome-themes-standard:amd64 3.18.0-2ubuntu2
2018-04-14 11:14:01 status installed iproute:all 1:4.3.0-1ubuntu3.16.04.3
2018-04-14 11:14:01 status installed libavahi-glib1:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:14:01 status installed libavahi-ui-gtk3-0:amd64 0.6.32~rc+dfsg-1ubuntu2.1
2018-04-14 11:14:01 status installed libcurl3:amd64 7.47.0-1ubuntu2.7
2018-04-14 11:14:01 status installed libcurl4-openssl-dev:amd64 7.47.0-1ubuntu2.7
2018-04-14 11:14:01 status installed libgcab-1.0-0:amd64 0.7-1ubuntu0.1
2018-04-14 11:14:01 status installed libgweather-common:all 3.18.2-0ubuntu0.2
2018-04-14 11:14:01 status installed libgweather-3-6:amd64 3.18.2-0ubuntu0.2
2018-04-14 11:14:01 status installed libmbim-glib4:amd64 1.14.0-1ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libmbim-proxy:amd64 1.14.0-1ubuntu0.16.04.1
2018-04-14 11:14:01 status installed libminiupnpc10:amd64 1.9.20140610-2ubuntu2.16.04.2
2018-04-14 11:14:02 status installed libmm-glib0:amd64 1.6.4-1ubuntu0.16.04.1
2018-04-14 11:14:02 status installed libnux-4.0-common:all 4.0.8+16.04.20170816-0ubuntu1
2018-04-14 11:14:02 status installed libpoppler-glib8:amd64 0.41.0-0ubuntu1.6
2018-04-14 11:14:02 status installed libqmi-glib5:amd64 1.16.2-1ubuntu0.16.04.1
2018-04-14 11:14:02 status installed libqmi-proxy:amd64 1.16.2-1ubuntu0.16.04.1
2018-04-14 11:14:02 status installed libraw15:amd64 0.17.1-1ubuntu0.2
2018-04-14 11:14:02 status installed libsane-common:amd64 1.0.27+git20180411-xenial0
2018-04-14 11:14:02 status installed libsane:amd64 1.0.27+git20180411-xenial0
2018-04-14 11:14:03 status installed libsane:i386 1.0.27+git20180411-xenial0
2018-04-14 11:14:03 status installed libservlet3.1-java:all 8.0.32-1ubuntu1.5
2018-04-14 11:14:03 status installed libsnmp-base:all 5.7.3+dfsg-1ubuntu4.1
2018-04-14 11:14:03 status installed libsnmp30:amd64 5.7.3+dfsg-1ubuntu4.1
2018-04-14 11:14:03 status installed libunity-scopes-json-def-desktop:all 7.1.4+16.04.20180209.1-0ubuntu1
2018-04-14 11:14:03 status installed libunity-protocol-private0:amd64 7.1.4+16.04.20180209.1-0ubuntu1
2018-04-14 11:14:03 status installed libunity9:amd64 7.1.4+16.04.20180209.1-0ubuntu1
2018-04-14 11:14:03 status installed libvncclient1:amd64 0.9.10+dfsg-3ubuntu0.16.04.2
2018-04-14 11:14:03 status installed libwayland-cursor0:amd64 1.12.0-1~ubuntu16.04.3
2018-04-14 11:14:03 status installed libxatracker2:amd64 17.2.8-0ubuntu0~16.04.1
2018-04-14 11:14:03 status installed libxnvctrl0:amd64 396.18-0ubuntu0~gpu16.04.1
2018-04-14 11:14:03 status installed xreader-common:all 1.6.2+sylvia
2018-04-14 11:14:03 status installed libxreaderdocument3:amd64 1.6.2+sylvia
2018-04-14 11:14:03 status installed libxreaderview3:amd64 1.6.2+sylvia
2018-04-14 11:14:03 status installed xreader:amd64 1.6.2+sylvia
2018-04-14 11:14:32 status installed linux-firmware:all 1.157.17
2018-04-14 11:14:32 status installed linux-headers-4.10.0-38:all 4.10.0-38.42~16.04.1
2018-04-14 11:15:09 status installed linux-headers-4.10.0-38-generic:amd64 4.10.0-38.42~16.04.1
2018-04-14 11:15:19 status installed linux-image-4.10.0-38-generic:amd64 4.10.0-38.42~16.04.1
2018-04-14 11:15:29 status installed linux-image-4.4.0-119-generic:amd64 4.4.0-119.143
2018-04-14 11:15:40 status installed linux-image-extra-4.10.0-38-generic:amd64 4.10.0-38.42~16.04.1
2018-04-14 11:15:49 status installed linux-image-extra-4.4.0-119-generic:amd64 4.4.0-119.143
2018-04-14 11:15:49 status installed linux-image-generic:amd64 4.4.0.119.125
2018-04-14 11:15:49 status installed linux-image-extra-virtual:amd64 4.4.0.119.125
2018-04-14 11:15:49 status installed linux-kernel-generic:all 4.10.0-38
2018-04-14 11:15:50 status installed mint-translations:all 2018.01.06
2018-04-14 11:15:50 status installed mint-upgrade-info:all 1.1.1
2018-04-14 11:15:50 status installed modemmanager:amd64 1.6.4-1ubuntu0.16.04.1
2018-04-14 11:15:50 status installed ndiswrapper:amd64 1.60-3~ubuntu16.04.2
2018-04-14 11:16:20 status installed ndiswrapper-dkms:all 1.60-3~ubuntu16.04.2
2018-04-14 11:16:20 status installed ndiswrapper-utils-1.9:all 1.60-3~ubuntu16.04.2
2018-04-14 11:16:20 status installed nodejs:amd64 8.11.1-1nodesource1
2018-04-14 11:16:20 status installed nux-tools:amd64 4.0.8+16.04.20170816-0ubuntu1
2018-04-14 11:16:20 status installed screen-resolution-extra:all 0.17.1.1~16.04.1
2018-04-14 11:16:20 status installed nvidia-settings:amd64 396.18-0ubuntu0~gpu16.04.1
2018-04-14 11:16:20 status installed python-paramiko:all 1.16.0-1ubuntu0.1
2018-04-14 11:16:20 status installed python-twisted-bin:amd64 16.0.0-1ubuntu0.2
2018-04-14 11:16:22 status installed python-twisted-core:all 16.0.0-1ubuntu0.2
2018-04-14 11:16:22 status installed python-twisted-names:all 16.0.0-1ubuntu0.2
2018-04-14 11:16:22 status installed python-twisted-web:all 16.0.0-1ubuntu0.2
2018-04-14 11:16:22 status installed python3-crypto:amd64 2.6.1-6ubuntu0.16.04.3
2018-04-14 11:16:22 status installed remmina-common:all 1.2.0-rcgit-29-0~remmina201804082058.r6b62986.d3c469a0~ubuntu16.04.1
2018-04-14 11:16:22 status installed remmina:amd64 1.2.0-rcgit-29-0~remmina201804082058.r6b62986.d3c469a0~ubuntu16.04.1
2018-04-14 11:16:22 status installed remmina-plugin-vnc:amd64 1.2.0-rcgit-29-0~remmina201804082058.r6b62986.d3c469a0~ubuntu16.04.1
2018-04-14 11:16:22 status installed sane-utils:amd64 1.0.27+git20180411-xenial0
2018-04-14 11:16:23 status installed ssh-askpass-gnome:amd64 1:7.2p2-4ubuntu2.4
2018-04-14 11:16:23 status installed thunderbird:amd64 1:52.7.0+build1-0ubuntu0.16.04.1
2018-04-14 11:16:23 status installed thunderbird-locale-en:amd64 1:52.7.0+build1-0ubuntu0.16.04.1
2018-04-14 11:16:23 status installed thunderbird-gnome-support:amd64 1:52.7.0+build1-0ubuntu0.16.04.1
2018-04-14 11:16:23 status installed thunderbird-locale-en-us:all 1:52.7.0+build1-0ubuntu0.16.04.1
2018-04-14 11:16:23 status installed transmission-common:all 2.84-3ubuntu3.1
2018-04-14 11:16:23 status installed transmission-gtk:amd64 2.84-3ubuntu3.1
2018-04-14 11:16:23 status installed unattended-upgrades:all 0.90ubuntu0.9
2018-04-14 11:16:23 status installed virtualbox-guest-utils:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:16:24 status installed virtualbox-guest-x11:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:17:16 status installed virtualbox-guest-dkms:all 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:17:16 status installed yarn:all 1.5.1-1
2018-04-14 11:17:16 status installed intel-microcode:amd64 3.20180312.0~ubuntu16.04.1
2018-04-14 11:17:16 status installed libavcodec-extra:all 7:2.8.14-0ubuntu0.16.04.1
2018-04-14 11:17:16 status installed libruby2.3:amd64 2.3.1-2~16.04.7
2018-04-14 11:17:16 status installed ruby2.3:amd64 2.3.1-2~16.04.7
2018-04-14 11:17:16 status installed ruby2.3-doc:all 2.3.1-2~16.04.7
2018-04-14 11:17:16 status installed skypeforlinux:amd64 8.18.0.6
2018-04-14 11:17:16 status installed spotify-client:amd64 1:1.0.77.338.g758ebd78-41
2018-04-14 11:17:16 status installed ca-certificates-java:all 20160321ubuntu1
2018-04-14 11:17:16 status installed ca-certificates:all 20170717~16.04.1
2018-04-14 11:17:16 status installed openjdk-8-jre-headless:amd64 8u162-b12-0ubuntu0.16.04.2
2018-04-14 11:17:16 status installed openjdk-8-jre:amd64 8u162-b12-0ubuntu0.16.04.2
2018-04-14 11:17:16 status installed openjdk-8-jdk-headless:amd64 8u162-b12-0ubuntu0.16.04.2
2018-04-14 11:17:17 status installed openjdk-8-jdk:amd64 8u162-b12-0ubuntu0.16.04.2
2018-04-14 11:17:17 status installed libfreerdp-plugins-standard:amd64 2.0.0~git201804050820-0+remmina201804082033.ra9ecd6a.d9be5820~ubuntu16.04.1
2018-04-14 11:17:17 status installed libfreerdp1:amd64 2.0.0~git201804050820-0+remmina201804082033.ra9ecd6a.d9be5820~ubuntu16.04.1
2018-04-14 11:17:17 status installed freerdp-x11:amd64 2.0.0~git201804050820-0+remmina201804082033.ra9ecd6a.d9be5820~ubuntu16.04.1
2018-04-14 11:17:17 status installed remmina-plugin-rdp:amd64 1.2.0-rcgit-29-0~remmina201804082058.r6b62986.d3c469a0~ubuntu16.04.1
2018-04-14 11:17:17 status installed systemd:amd64 229-4ubuntu21.2
2018-04-14 11:17:17 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:17:24 status installed initramfs-tools:all 0.122ubuntu8.11
2018-04-14 11:17:24 status installed shim-signed:amd64 1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1+linuxmint1
2018-04-14 11:17:25 status installed resolvconf:all 1.78ubuntu6
2018-04-14 11:17:25 status installed dbus:amd64 1.10.6-1ubuntu3.3
2018-04-14 11:27:33 status installed virtualbox-guest-dkms:all 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:27:40 status installed virtualbox-guest-x11:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:27:40 status installed virtualbox-guest-utils:amd64 5.1.34-dfsg-0ubuntu1.16.04.2
2018-04-14 11:27:40 status installed libc-bin:amd64 2.23-0ubuntu10
2018-04-14 11:27:40 status installed man-db:amd64 2.7.5-1
2018-04-14 11:27:41 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:27:41 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:27:41 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:27:41 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:27:41 status installed libglib2.0-0:i386 2.48.2-0ubuntu1
2018-04-14 11:27:41 status installed libglib2.0-0:amd64 2.48.2-0ubuntu1
2018-04-14 11:27:41 status installed mintupdate:all 5.3.2.1
2018-04-14 11:49:35 status installed mintupdate:all 5.3.2.1
2018-04-14 11:49:36 status installed libglib2.0-0:i386 2.48.2-0ubuntu1
2018-04-14 11:49:36 status installed libglib2.0-0:amd64 2.48.2-0ubuntu1
2018-04-14 11:49:36 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:49:36 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:49:36 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:49:36 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:50:34 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:50:34 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:50:34 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:50:34 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:50:34 status installed libglib2.0-0:i386 2.48.2-0ubuntu1
2018-04-14 11:50:34 status installed libglib2.0-0:amd64 2.48.2-0ubuntu1
2018-04-14 11:50:35 status installed mintupdate:all 5.3.2.1
2018-04-14 11:56:30 status installed hicolor-icon-theme:all 0.15-0ubuntu1
2018-04-14 11:56:30 status installed man-db:amd64 2.7.5-1
2018-04-14 11:56:30 status installed desktop-file-utils:amd64 0.22+linuxmint1
2018-04-14 11:56:30 status installed gnome-menus:amd64 3.13.3-6ubuntu3.1
2018-04-14 11:56:30 status installed mime-support:all 3.59ubuntu1
2018-04-14 11:56:30 status installed mintsources:all 1.7.2
2018-04-14 11:27:34 remove virtualbox-guest-dkms:all 5.1.34-dfsg-0ubuntu1.16.04.2 <none>
2018-04-14 11:27:40 remove virtualbox-guest-x11:amd64 5.1.34-dfsg-0ubuntu1.16.04.2 <none>
2018-04-14 11:27:40 remove virtualbox-guest-utils:amd64 5.1.34-dfsg-0ubuntu1.16.04.2 <none>
2018-04-14 11:49:36 remove mintupdate:all 5.3.2.1 <none>
2018-04-14 11:50:19 remove mintupdate:all 5.3.2.1 <none>
Note that i did try to remove it, and installed it again, a few times :-)

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Sun Apr 15, 2018 11:16 pm

It's not what I thought it might be. So it looks like something weird has happened with mintupdates own update which was mixed in with that lot. Mintupdate had an update to block some problematic virtualbox-guest* packages which can also be seen being installed and removed several times.

Give this a try...if you can keep the outputs and report back with them that might be helpful if this does not result in a fix.

1) Make sure the virtualbox-guest* packages have really gone.
apt purge virtualbox-guest*

2) Ensure you have ownership of all files in your home directory
sudo chown $USER:$USER -R /home/$USER

3) Reinstall mint update
sudo apt-get install --reinstall mintupdate

4) Test mintupdate
mintupdate


If that doesn't work please check if policyklt is active - report the output of...
ps axu | grep -v grep | grep policykit

Also give the outputs of

Does update the apt cache throw any errors?
apt update

Check for dependency problems?
apt check

Does mintupdate CLi tool work?
mintupdate-tool list -l 12345

exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

Re: Update Manager missing (now installed again, with error)

Post by exetico » Tue Apr 17, 2018 2:55 am

Here is the dump, seperated for each steps.

1. sudo apt purge virtualbox-guest*

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'virtualbox-guest-utils' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-modules' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-additions-iso' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-dkms' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-dkms-hwe' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-modules-hwe' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-x11-hwe' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-source' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-source-hwe' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-utils-hwe' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-x11' for glob 'virtualbox-guest*'
Note, selecting 'virtualbox-guest-additions' for glob 'virtualbox-guest*'
Package 'virtualbox-guest-additions' is not installed, so not removed
Package 'virtualbox-guest-modules-hwe' is not installed, so not removed
Package 'virtualbox-guest-additions-iso' is not installed, so not removed
Package 'virtualbox-guest-dkms' is not installed, so not removed
Package 'virtualbox-guest-dkms-hwe' is not installed, so not removed
Package 'virtualbox-guest-source' is not installed, so not removed
Package 'virtualbox-guest-source-hwe' is not installed, so not removed
Package 'virtualbox-guest-utils-hwe' is not installed, so not removed
Package 'virtualbox-guest-x11-hwe' is not installed, so not removed
The following packages were automatically installed and are no longer required:
  dcraw gir1.2-xreader libbz2-dev libcurl4-openssl-dev libgmp-dev libgmpxx4ldbl libkeybinder0 libllvm4.0 libllvm4.0:i386 libpeas-1.0-0-python3loader
  libtext-unidecode-perl linux-image-4.4.0-96-generic linux-image-extra-4.4.0-96-generic mint-backgrounds-sylvia ruby2.3-doc tex-common texinfo
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  virtualbox-guest-utils* virtualbox-guest-x11*
0 upgraded, 0 newly installed, 2 to remove and 6 not upgraded.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
dpkg: warning: files list file for package 'ruby-test-unit' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-did-you-mean' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-net-telnet' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rubygems-integration' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-minitest' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-power-assert' missing; assuming package has no files currently installed
(Reading database ... 349019 files and directories currently installed.)
Removing virtualbox-guest-utils (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Purging configuration files for virtualbox-guest-utils (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Removing virtualbox-guest-x11 (5.1.34-dfsg-0ubuntu1.16.04.2) ...
Purging configuration files for virtualbox-guest-x11 (5.1.34-dfsg-0ubuntu1.16.04.2) ...
2. sudo chown $USER:$USER -R /home/$USER

Code: Select all

Nothing to show
3. sudo apt-get install --reinstall mintupdate

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  dcraw gir1.2-xreader libbz2-dev libcurl4-openssl-dev libgmp-dev libgmpxx4ldbl libkeybinder0 libllvm4.0 libllvm4.0:i386 libpeas-1.0-0-python3loader
  libtext-unidecode-perl linux-image-4.4.0-96-generic linux-image-extra-4.4.0-96-generic mint-backgrounds-sylvia ruby2.3-doc tex-common texinfo
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 6 not upgraded.
Need to get 0 B/343 kB of archives.
After this operation, 0 B of additional disk space will be used.
dpkg: warning: files list file for package 'ruby-test-unit' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-did-you-mean' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-net-telnet' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'rubygems-integration' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-minitest' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'ruby-power-assert' missing; assuming package has no files currently installed
(Reading database ... 349018 files and directories currently installed.)
Preparing to unpack .../mintupdate_5.3.2.1_all.deb ...
Unpacking mintupdate (5.3.2.1) over (5.3.2.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.48.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Setting up mintupdate (5.3.2.1) ...
i still have the same error - also with another icon pack:

Code: Select all

exetico@linuxmint ~ $ mintupdate
exetico@linuxmint ~ $ Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintUpdate/mintUpdate.py", line 701, in run
    pixbuf = theme.load_icon("mintupdate-level" + str(update.level), 22, 0)
GLib.GError: gtk-icon-theme-error-quark: Icon 'mintupdate-level4' not present in theme Mint-X-Grey (0)
-- Exception occurred in the refresh thread: <class 'GLib.GError'>

(mintUpdate.py:6955): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
^C
exetico@linuxmint ~ $ mintupdate
exetico@linuxmint ~ $ Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintUpdate/mintUpdate.py", line 701, in run
    pixbuf = theme.load_icon("mintupdate-level" + str(update.level), 22, 0)
GLib.GError: gtk-icon-theme-error-quark: Icon 'mintupdate-level4' not present in theme Mint-X-Dark (0)
-- Exception occurred in the refresh thread: <class 'GLib.GError'>

(mintUpdate.py:7286): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
And still with the "Could not refresh the list of updates" in the left corner of the Update Manager.

Code: Select all

exetico@linuxmint ~ $ ps axu | grep -v grep | grep policykit
root      1305  0.0  0.0 278684  7924 ?        Ssl  08:40   0:00 /usr/lib/policykit-1/polkitd --no-debug
exetico   4274  0.0  0.1 333540 20968 ?        Sl   08:41   0:00 /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
Does update the apt cache throw any errors?
apt update
Nope :-) Output below, with a few extra steps (auto remove is also executed)

Code: Select all

exetico@linuxmint ~ $ sudo apt update
Hit:1 http://mirror.one.com/ubuntu xenial InRelease
Hit:2 http://repo.steampowered.com/steam precise InRelease                                                                                                   
Ign:3 http://mirrors.dotsrc.org/linuxmint-packages sylvia InRelease                                                                                          
Hit:4 http://mirror.one.com/ubuntu xenial-updates InRelease                                                                                                  
Ign:5 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                 
Ign:6 http://download.videolan.org/pub/debian/stable  InRelease                                                                                              
Hit:7 http://mirrors.dotsrc.org/linuxmint-packages sylvia Release                                                                                            
Hit:8 http://mirror.one.com/ubuntu xenial-backports InRelease                                                                                                
Hit:9 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease                                                                                  
Hit:10 http://packages.microsoft.com/repos/vscode stable InRelease                                                                                           
Hit:11 http://dl.google.com/linux/chrome/deb stable Release                                                                                                  
Hit:12 http://download.videolan.org/pub/debian/stable  Release                                                                                               
Hit:13 http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu xenial InRelease                                                       
Hit:14 https://repo.skype.com/deb stable InRelease                                                                                                           
Hit:15 http://repository.spotify.com stable InRelease                                                                                                        
Hit:16 https://dl.yarnpkg.com/debian stable InRelease                                                                                                        
Hit:17 http://ppa.launchpad.net/remmina-ppa-team/remmina-next/ubuntu xenial InRelease                        
Hit:18 http://archive.canonical.com/ubuntu xenial InRelease                                                  
Hit:20 https://deb.nodesource.com/node_8.x xenial InRelease                                                                      
Hit:21 https://apt.dockerproject.org/repo ubuntu-xenial InRelease                                                                
Hit:22 http://ppa.launchpad.net/rolfbensch/sane-git/ubuntu xenial InRelease                                                      
Hit:25 http://security.ubuntu.com/ubuntu xenial-security InRelease       
Reading package lists... Done
Building dependency tree       
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.
exetico@linuxmint ~ $ sudo apt list --upgradable
Listing... Done
shim/xenial-updates 13-0ubuntu2 amd64 [upgradable from: 0.9+1474479173.6c180c6-1ubuntu1]
N: There are 2 additional versions. Please use the '-a' switch to see them.
exetico@linuxmint ~ $ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  shim
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
I can't run sudo apt check (It's returning "E: Invalid operation check")

The output of mintupdate-tool list -l 12345 is:

Code: Select all

4 kernel          linux-4.13.0-38                               4.13.0-38.43~16.04.1
2 package         shim                                          13-0ubuntu2
So guess the answer is "Yes"? :-)?

Thanks for all your input. Waiting for the next steps :-)

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Wed Apr 18, 2018 1:58 am

Thanks,

I'm not sure why you have got the various dpkg: warning: files list file for package 'xxxxx' missing; assuming package has no files currently installed or if it is in any way related but that can be fixed by attempting to reinstall the listed packages - https://serverfault.com/questions/43068 ... -x-missing?

apt check failing is strange. Can you post the result of sudo apt list mintsystem? If it says mintsystem is installed (output = mintsystem/sylvia,sylvia,now 8.3.4 all [installed] also post the results of $PATH and whereis apt.

If it does not say mintsystem is installed also report back sudo apt list mint-meta-core & sudo apt list mint-meta-cinnamon

As an alternative to apt check use sudo apt-get check

exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

Re: Update Manager missing (now installed again, with error)

Post by exetico » Wed Apr 25, 2018 5:57 am

I'm sorry for the late reply..

It's returning:

Code: Select all

mintsystem/sylvia,sylvia,now 8.3.4 all [residual-config]
So `residual-config` and not `installed`. Guess that's the problem, or?
I did search a bit on Google about that, but couldn't find the right fix for that. Do you have any tips for this?

`sudo apt list mint-meta-core' returns:

Code: Select all

Listing... Done
mint-meta-core/sylvia,sylvia 2017.09.19 all
And `sudo apt list mint-meta-cinnamon`

Code: Select all

Listing... Done
mint-meta-cinnamon/sylvia,sylvia 2017.09.19 all
`sudo apt-get check` bring:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Wed Apr 25, 2018 6:19 am

OK it looks like you are missing some of the mint packages.

Try sudo apt install mint-meta-cinnamon

That should pull in the missing packages. It would be interesting to see what it does install in total so if you could copy the initial output before saying yes and post back that would be good.

Hopefully that will fix the issue.

BTW I noticed you have the yarn repo in your sources. Do you use it? Another poster had different problems with updates here viewtopic.php?f=47&t=267995 that looked like they were down to a bad yarn update.

exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

Re: Update Manager missing (now installed again, with error)

Post by exetico » Wed Apr 25, 2018 6:28 am

Damn fast reply :-)...!

Here is all the information, before it goes on:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  psensor-common
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  apturl apturl-common cinnamon-screensaver-x-plugin mint-artwork-common
  mint-artwork-gnome mint-backgrounds-sylvia mint-meta-core mintbackup
  mintdrivers mintstick mintsystem mintwelcome nemo-emblems nemo-fileroller
  nemo-folder-color-switcher nemo-share ubuntu-system-adjustments
Suggested packages:
  samba
The following NEW packages will be installed:
  apturl apturl-common cinnamon-screensaver-x-plugin mint-artwork-common
  mint-artwork-gnome mint-backgrounds-sylvia mint-meta-cinnamon mint-meta-core
  mintbackup mintdrivers mintstick mintsystem mintwelcome nemo-emblems
  nemo-fileroller nemo-folder-color-switcher nemo-share
  ubuntu-system-adjustments
0 upgraded, 18 newly installed, 0 to remove and 38 not upgraded.
Need to get 46.4 MB of archives.
After this operation, 63.1 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
For the yarn part, i guess i used it for nodejs, a few months ago. Somethings i totally forget to find the right guide, before i'm going install applications and tools.
This time it's cause of nodejs.

Code: Select all

exetico@linuxmint ~ $ apt-cache depends yarn
yarn
  Conflicts: nodejs
  Recommends: nodejs

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Wed Apr 25, 2018 6:34 am

Ok - go ahead and install that lot - there quite a few packages you definately need and others that are nice to have.

exetico
Level 1
Level 1
Posts: 8
Joined: Sat Apr 14, 2018 5:43 am

Re: Update Manager missing (now installed again, with error)

Post by exetico » Wed Apr 25, 2018 7:00 am

Sure - Already accepted it. I just replied without checking Update Manager. Damn :-D
And guess what? It's working. Thanks!

Image


Solution below - Just to wrap up, if other people look across this topic:
1: Check that the status is with sudo apt list mintsystem
Output with my problem (was residual-config, and not installed)

Code: Select all

mintsystem/sylvia,sylvia,now 8.3.4 all [residual-config]
2: Grap the right packages with: sudo apt install mint-meta-cinnamon

smurphos
Level 5
Level 5
Posts: 622
Joined: Fri Sep 05, 2014 12:18 am

Re: Update Manager missing (now installed again, with error)

Post by smurphos » Wed Apr 25, 2018 7:09 am

Excellent - glad you got it fixed... :). Don't forget to add [Solved] to the title of the first post.

Post Reply

Return to “Software & Applications”